Help: Apache reverse proxy solution needed and past solutions did not work
Status: Closed Start date: 2009-01-28

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello all,

I have been sifting through the bugs, defects and help requests on getting Redmine to work when being reverse proxyed. I looked at

the solutions and gave them a run, but got nothing. I have access to a server that is exposed on the Internet. This server serves up a

portal for my company. I want to be able to reverse proxy redmine through our portal so I added these lines:

ProxyPass /redmine http://myRedmine/redmine

ProxyPassReverse /redmine http://myRedmine/redmine

I have used this solution to reverse proxy other services, but this does not work. Can someone please tell me whats going on. Note

that I have changed the default port from 3000 to 80 (tried both) and also tried using mongrel with a prefix of /redmine. Does anyone

have any ideas or have come up with a solution to this?

History

#1 - 2009-01-28 05:13 - Brandon Dixon

Another solution: add the following line at the end of config/environment.rb:

ActionController::AbstractRequest.relative_url_root = "/redmine"

 I attempted this solution as well with no luck. Here is the URL for my portal.

https://portal.myCompany.com/redmine

#2 - 2009-01-28 05:28 - Brandon Dixon

Solved the issue. Please delete.

#3 - 2009-01-29 17:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.8.0)

- Resolution set to Invalid
